| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DLabelExpander Class Reference
Inheritance diagram for Digikam::DLabelExpander:

## Signals
void | signalButtonPressed ()
void | signalExpanded (bool)
void | signalToggled (bool)

## Public Member Functions
| DLabelExpander (QWidget *const parent=nullptr)
bool | buttonIsVisible () const
bool | checkBoxIsVisible () const
QIcon | icon () const
bool | isChecked () const
bool | isExpandByDefault () const
bool | isExpanded () const
bool | lineIsVisible () const
void | setButtonIcon (const QIcon &icon)
void | setButtonToolTip (const QString &tip)
void | setButtonVisible (bool b)
void | setCheckBoxVisible (bool b)
void | setChecked (bool b)
void | setExpandByDefault (bool b)
void | setExpanded (bool b)
void | setIcon (const QIcon &icon)
void | setLineVisible (bool b)
void | setText (const QString &txt)
void | setWidget (QWidget *const widget)
QString | text () const
QWidget * | widget () const